summaryrefslogtreecommitdiff
path: root/project/config/cfgdefs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'project/config/cfgdefs.sh')
-rw-r--r--project/config/cfgdefs.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/project/config/cfgdefs.sh b/project/config/cfgdefs.sh
index f0bc0d7..ff48f02 100644
--- a/project/config/cfgdefs.sh
+++ b/project/config/cfgdefs.sh
@@ -313,11 +313,17 @@ cfgdefs_detect_python_version
# cfgdefs.in --> cfgdefs.mk
cfgdefs_output_custom_defs
+# strict: some tests might fail
+set +e
+
# target-specific tests
cfgdefs_perform_target_tests
# native system tests
cfgdefs_perform_native_tests
+# strict: restore mode
+set -e
+
# all done
return 0